Skip to content

Get workflow​

GET
/v2/consumer/workflows/{workflowId}

Parameters​

Path Parameters

workflowId*
Type
string
Required

Query Parameters

wait

Seconds to wait for the workflow to complete before returning. If it has not completed by then a 202 is
returned and the client should query the workflow by its id.

Type
integer
Format
"int32"
Default
0
until

What wait waits for: completion (the default) returns once the workflow reaches a
final status, change as soon as its status or any of its steps changes.

Type
string
Valid values
"completion""change"
hideMatureContent

When set to true, any blob that has mature won't be available and won't have a URL

Type
boolean
Default
false

Responses​

OK

application/json
JSON

Playground​

Variables
Key
Value

Samples​

Powered by VitePress OpenAPI

Civitai Developer Documentation